/*
 * $Header: /smsa/bsd:include/pwd.h:bsd  1.7  $
 * $Source: /smsa/bsd:include/pwd.h: $
 *
 * Copyright (c) 1988 Acorn Computers Ltd., Cambridge, England
 */
/*	pwd.h	4.1	83/05/03	*/

#ifndef __pwd_h
#define __pwd_h

#ifndef __sys_types_h
#include "sys/types.h"
#endif

struct	passwd { /* see getpwent(3) */
	char	*pw_name;
	char	*pw_passwd;
	union { uid_t	_uid; int	_pad1; } _uid;
	union { gid_t	_gid; int	_pad2; } _gid;
	int	pw_quota;
	char	*pw_comment;
	char	*pw_gecos;
	char	*pw_dir;
	char	*pw_shell;
};
#define	pw_uid	_uid._uid
#define	pw_gid	_gid._gid

extern struct passwd *getpwent(void);
#if 0
extern struct passwd *getpwuid(uid_t /*uid*/);
#else
extern struct passwd *getpwuid();
#endif
extern struct passwd *getpwnam(char * /*name*/);

#endif
